### Method

# Ide SubprocessLauncher spawn

#### Declaration

    IdeSubprocess*
    ide_subprocess_launcher_spawn (
      IdeSubprocessLauncher* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Synchronously spawn a process using the internal state.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeSubprocess`
| An `IdeSubprocess` or `NULL` upon error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.